package cybersecurity

import "net"

// IPInRange verifica si una direccion IP esta dentro de un rango CIDR dado.
func IPInRange(ip, cidr string) bool {
	parsedIP := net.ParseIP(ip)
	if parsedIP == nil {
		return false
	}
	_, ipNet, err := net.ParseCIDR(cidr)
	if err != nil {
		return false
	}
	return ipNet.Contains(parsedIP)
}
